> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/cards/interaction-cards-middle/create-interaction-card.md).

# Create Interaction Card

{% hint style="info" %}
These endpoints are in beta testing. Some features may not work as documented or may behave unexpectedly.&#x20;
{% endhint %}

## Create a Card

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/view`

Create an Interaction Custom Card. A contact\_id with the contact's ID and a view object must be passed in to the body. See the body example for more information.&#x20;

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

#### Request Body

| Name        | Type    | Description                          |
| ----------- | ------- | ------------------------------------ |
| view        | object  | View object. The card configuration. |
| contact\_id | integer | Contact ID.                          |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "success": true,
        "data": {
            "title": "this is canvas view",
            "contactId": 96,
            "view": {
                "type": "ui_block",
                "config": {
                    "canvas": {
                        "content": {
                            "components": [
                                {
                                    "type": "text",
                                    "text": "hello acquire",
                                    "style": "heading"
                                },
                                {
                                    "type": "input",
                                    "label": "my input box",
                                    "style": "paragraph",
                                    "id": "my_input",
                                    "value": "acquire"
                                }
                            ]
                        }
                    }
                }
            },
            "meta": {
                "iconImageUrl": "https://acquire.io/wp-content/themes/acquire/assets/images/common/acq-footer-black-logo.svg",
                "iconFont": "icon-ticket"
            },
            "userId": 24,
            "dateCreated": "2020-09-16T13:04:38.268Z",
            "id": 10
        },
        "message": "View added successfully."
    }
}
```

{% endtab %}
{% endtabs %}

**Body (raw)**

```
{
    "title": "Interaction Cards",
    "meta": {
        "iconImageUrl": "https://acquire.io/wp-content/themes/acquire/assets/images/common/acq-footer-black-logo.svg",
        "iconFont": "icon-ticket"
    },
    "contact_id": "96",
    "view": {
        "type": "ui_block",
        "config": {
        "label": "mix sample",
        "canvas": {
            "content_url": true
        },
        "action_key": "test-json",
        "action_type": "initialize_tab",
        "iconImageUrl": "./assets/app-store/acquire_saml.svg",
        "initialize_url": "https://0ff32dabc277.ngrok.io/mix1-initialize"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/cards/interaction-cards-middle/create-interaction-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
